unit PupilsUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, DBCtrls, Grids, DBGrids, DB;

type
  TPupilsForm = class(TForm)
    DBGrid1: TDBGrid;
    DBMemo1: TDBMemo;
    Label1: TLabel;
    DBLookupComboBox1: TDBLookupComboBox;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    InsertButton: TButton;
    EditButton: TButton;
    PostButton: TButton;
    CancelButton: TButton;
    DeleteButton: TButton;
    ComboBox1: TComboBox;
    procedure InsertButtonClick(Sender: TObject);
    procedure EditButtonClick(Sender: TObject);
    procedure PostButtonClick(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
    procedure DeleteButtonClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PupilsForm: TPupilsForm;

implementation

uses ClassUnit, ModuleUnit;

{$R *.dfm}

procedure TPupilsForm.InsertButtonClick(Sender: TObject);
begin
  if DataModule2.TablePupils.State = dsBrowse then DataModule2.TablePupils.Insert;
end;

procedure TPupilsForm.EditButtonClick(Sender: TObject);
begin
  if DataModule2.TablePupils.State = dsBrowse then DataModule2.TablePupils.Edit;
end;

procedure TPupilsForm.PostButtonClick(Sender: TObject);
begin
  if (DataModule2.TablePupils.State = dsInsert) or
     (DataModule2.TablePupils.State = dsEdit) then
     DataModule2.TablePupils.Post;
end;

procedure TPupilsForm.CancelButtonClick(Sender: TObject);
begin
  if DataModule2.TablePupils.State in [dsInsert,dsEdit] then
      DataModule2.TablePupils.Cancel;
end;

procedure TPupilsForm.DeleteButtonClick(Sender: TObject);
begin
   if DataModule2.TablePupils.State = dsBrowse then
     if MessageDlg('    ?',
             mtConfirmation,[mbYes,mbNo],0) = mrYes then
       DataModule2.TablePupils.Delete;
end;

procedure TPupilsForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Form1.Close;
end;

procedure TPupilsForm.FormShow(Sender: TObject);
var
   i:integer;
begin
  ComboBox1.Clear;
  ComboBox1.Items.Add(' ');
  DataModule2.TableClass.First;
  for i:=1 to DataModule2.TableClass.RecordCount do
   begin
     ComboBox1.Items.Add
         (DataModule2.TableClassClass.Value);
     DataModule2.TableClass.Next;
   end;
  ComboBox1.ItemIndex:=0;
end;

procedure TPupilsForm.ComboBox1Change(Sender: TObject);
begin
  if ComboBox1.ItemIndex = 0 then
   DataModule2.TablePupils.Filtered:=False
  else
   begin
     DataModule2.TablePupils.Filter:='[Class]='+''''+ComboBox1.Text + '''';
     DataModule2.TablePupils.Filtered:=True;
   end;
end;

end.
